## org.eclipse.emf.compare.ui.viewer.content
Class ModelContentMergeContentProvider

    java.lang.Object
      org.eclipse.emf.compare.ui.viewer.content.ModelContentMergeContentProvider

All Implemented Interfaces:
  org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider, org.eclipse.jface.viewers.IContentProvider

    public class ModelContentMergeContentProvider

extends java.lang.Object
implements org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider

Content provider for our `ContentMergeViewer`.

Constructor Summary
`ModelContentMergeContentProvider(org.eclipse.compare.CompareConfiguration cc)` Instantiates a content provider for our `ContentMergeViewer` given its `CompareConfiguration`.

Method Summary
`void` `dispose()`
`java.lang.Object` `getAncestorContent(java.lang.Object element)`
`org.eclipse.swt.graphics.Image` `getAncestorImage(java.lang.Object element)`
`java.lang.String` `getAncestorLabel(java.lang.Object element)`
`java.lang.Object` `getLeftContent(java.lang.Object element)`
`org.eclipse.swt.graphics.Image` `getLeftImage(java.lang.Object element)`
`java.lang.String` `getLeftLabel(java.lang.Object element)`
`java.lang.Object` `getRightContent(java.lang.Object element)`
`org.eclipse.swt.graphics.Image` `getRightImage(java.lang.Object element)`
`java.lang.String` `getRightLabel(java.lang.Object element)`
`void` `inputChanged(org.eclipse.jface.viewers.Viewer v, java.lang.Object o1, java.lang.Object o2)`
`boolean` `isLeftEditable(java.lang.Object element)`
`boolean` `isRightEditable(java.lang.Object element)`
`void` `saveLeftContent(java.lang.Object element, byte[] bytes)`
`void` `saveRightContent(java.lang.Object element, byte[] bytes)`
`boolean` `showAncestor(java.lang.Object element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelContentMergeContentProvider

    public ModelContentMergeContentProvider(org.eclipse.compare.CompareConfiguration cc)

  Instantiates a content provider for our `ContentMergeViewer` given its `CompareConfiguration`.

  Parameters:
    `cc` - `CompareConfiguration` used by this `ContentMergeViewer`.

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`
  See Also:
    `IContentProvider.dispose()`

### getAncestorContent

    public java.lang.Object getAncestorContent(java.lang.Object element)

  Specified by:
    `getAncestorContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.getAncestorContent(java.lang.Object)`

### getAncestorImage

    public org.eclipse.swt.graphics.Image getAncestorImage(java.lang.Object element)

  Specified by:
    `getAncestorImage` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.getAncestorImage(java.lang.Object)`

### getAncestorLabel

    public java.lang.String getAncestorLabel(java.lang.Object element)

  Specified by:
    `getAncestorLabel` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.getAncestorLabel(java.lang.Object)`

### getLeftContent

    public java.lang.Object getLeftContent(java.lang.Object element)

  Specified by:
    `getLeftContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.getLeftContent(java.lang.Object)`

### getLeftImage

    public org.eclipse.swt.graphics.Image getLeftImage(java.lang.Object element)

  Specified by:
    `getLeftImage` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.getLeftImage(java.lang.Object)`

### getLeftLabel

    public java.lang.String getLeftLabel(java.lang.Object element)

  Specified by:
    `getLeftLabel` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.getLeftLabel(java.lang.Object)`

### getRightContent

    public java.lang.Object getRightContent(java.lang.Object element)

  Specified by:
    `getRightContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.getRightContent(java.lang.Object)`

### getRightImage

    public org.eclipse.swt.graphics.Image getRightImage(java.lang.Object element)

  Specified by:
    `getRightImage` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.getRightImage(java.lang.Object)`

### getRightLabel

    public java.lang.String getRightLabel(java.lang.Object element)

  Specified by:
    `getRightLabel` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.getRightLabel(java.lang.Object)`

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer v,
                             java.lang.Object o1,
                             java.lang.Object o2)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`
  See Also:
    `IContentProvider.inputChanged(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`

### isLeftEditable

    public boolean isLeftEditable(java.lang.Object element)

  Specified by:
    `isLeftEditable` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.isLeftEditable(java.lang.Object)`

### isRightEditable

    public boolean isRightEditable(java.lang.Object element)

  Specified by:
    `isRightEditable` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.isRightEditable(java.lang.Object)`

### saveLeftContent

    public void saveLeftContent(java.lang.Object element,
                                byte[] bytes)

  Specified by:
    `saveLeftContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.saveLeftContent(java.lang.Object, byte[])`

### saveRightContent

    public void saveRightContent(java.lang.Object element,
                                 byte[] bytes)

  Specified by:
    `saveRightContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.saveRightContent(java.lang.Object, byte[])`

### showAncestor

    public boolean showAncestor(java.lang.Object element)

  Specified by:
    `showAncestor` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
  See Also:
    `IMergeViewerContentProvider.showAncestor(java.lang.Object)`

Copyright 2006 IBM Corporation and others. All Rights Reserved.